org.apache.maven.scm.provider.accurev.util

## Enum QuotedPropertyParser.QuotedParseState

- java.lang.Object
- - java.lang.Enum<QuotedPropertyParser.QuotedParseState>
  - - org.apache.maven.scm.provider.accurev.util.QuotedPropertyParser.QuotedParseState

All Implemented Interfaces:
  Serializable, Comparable<QuotedPropertyParser.QuotedParseState>

Enclosing class:
  QuotedPropertyParser

    public static enum QuotedPropertyParser.QuotedParseState
    extends Enum<QuotedPropertyParser.QuotedParseState>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IN_QUOTED_KEY`
`IN_QUOTED_VALUE`
`KEY`
`VALUE`

### Method Summary

All Methods Static Methods Concrete Methods
`static QuotedPropertyParser.QuotedParseState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QuotedPropertyParser.QuotedParseState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### KEY

    public static final QuotedPropertyParser.QuotedParseState KEY

#### IN_QUOTED_KEY

    public static final QuotedPropertyParser.QuotedParseState IN_QUOTED_KEY

#### IN_QUOTED_VALUE

    public static final QuotedPropertyParser.QuotedParseState IN_QUOTED_VALUE

#### VALUE

    public static final QuotedPropertyParser.QuotedParseState VALUE

### Method Detail

#### values

    public static QuotedPropertyParser.QuotedParseState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QuotedPropertyParser.QuotedParseState c : QuotedPropertyParser.QuotedParseState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QuotedPropertyParser.QuotedParseState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null